package com.unis;

import com.unis.common.swagger.annotation.EnableOpenApi;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

@EnableOpenApi(value = "admin", isMicro = false)
@SpringBootApplication
@MapperScan({
        "com.unis.*.mapper"
})
public class VsualizationReportApplication {

    public static void main(String[] args) {
        SpringApplication.run(VsualizationReportApplication.class, args);
    }

}
