package com.unis.vis.controller;

import com.unis.vis.model.InboundMaterialInfo;
import com.unis.vis.service.InboundMaterialInfoService;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.List;

/**
 * ClassName: InboundMaterialInfoController
 * Package: com.unis.vis.controller
 * Description:
 *
 * @Author zlq
 * @Create 2024/3/5 11:06
 * @Version 1.0
 */
@RestController
@RequestMapping("/Material")
public class InboundMaterialInfoController {
    @Resource
    private InboundMaterialInfoService inboundMaterialInfoService;

    /*物资使用情况排名*/
    @GetMapping("/getWzsyqkpm")
    public HashMap<String, List<InboundMaterialInfo>> getEmergencySuppliesCategory() {
        HashMap<String, List<InboundMaterialInfo>> wzsyqkpmMap = inboundMaterialInfoService.getWzsyqkpm();
        return wzsyqkpmMap;
    }
}
