package com.unis.vis.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@EqualsAndHashCode(callSuper = false)
@TableName("inbound_material_info")
public class InboundMaterialInfo {
    /**
     * 入库物资id
     */
    @TableField("material_id")
    private Integer materialId;
    /**
     * 入库信息表id
     */
    @TableField("inbound_id")
    private Integer inboundId;
    /**
     * 入库类型
     */
    @TableField("inbound_type")
    private String inboundType;
    /**
     * 物资大类
     */

    @TableField("material_group")
    private String materialGroup;
    /**
     * 物资类别
     */
    @TableField("material_type")
    private String materialType;
    /**
     * 物资名称
     */
    @TableField("material_name")
    private String materialName;
    /**
     * 单位
     */
    @TableField("unit")
    private String unit;
    /**
     * 数量
     */
    @TableField("quantity")
    private String quantity;
    /**
     * 规格
     */
    @TableField("specs")
    private String specs;
    /**
     * 入库日期
     */

    @TableField("inbound_time")
    private String inboundTime;
    /**
     * 单价
     */

    @TableField("unit_price")
    private String unitPrice;
    /**
     * 总价
     */

    @TableField("total_price")
    private String totalPrice;
    /**
     * 是否可用
     */

    @TableField("is_available")
    private String isAvailable;
    /**
     * 文件上传
     */

    @TableField("file_part")
    private String filePart;
    /**
     * 备注
     */

    @TableField("remarks")
    private String remarks;
    /**
     * 物资树
     */
    @TableField("material_tree")
    private String materialTree;

    private String yesQuantity;


    private String noQuantity;

}
