package com.unis.vis.model;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 出入库记录
 * @author 阿杰
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class OutAndInboundRecord {

    /**
     * 类型: 1入库 2出库
     */
    private Integer type;

    /**
     * 调用省份：只有出库有
     */
    private String shengName;

    /**
     * 物资名称
     */
    private String materialName;

    /**
     * 数量
     */
    private String quantity;

    /**
     * 规格
     */
    private String specs;

    /**
     * 出入库日期
     */
    private String boundTime;

    private Integer parentID;
}
