package com.unis.vis.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;


@Data
@EqualsAndHashCode(callSuper = false)
@TableName("sys_dept")
public class SysDept implements Serializable {
    private static final long serialVersionUID = -2326388609099501649L;
    /**
     * 数据创建人
     */
    @TableField("DEPT_ID")
    private Long deptId;

    @TableField("NAME")
    private String name;

    /**
     * 排序
     */
    @TableField("SORT_ORDER")
    private Integer sortOrder;
    /**
     * 创建人
     */
    @TableField("CREATE_BY")
    private String createBy;

    /**
     * 修改人
     */
    @TableField("UPDATE_BY")
    private String updateBy;

    /**
     * 创建时间
     */
    @TableField("CREATE_TIME")
    private Date createTime;

    /**
     * 修改时间
     */
    @TableField("UPDATE_TIME")
    private Date updateTime;


    @TableField("DEL_FLAG")
    private String delFLAG;


    @TableField("TENANT_ID")
    private Long tenantId;

    @TableField("PARENT_ID")
    private Long parentID;
    /**
     * 字段 dept_type 类型  1级国家局  2级 垂管局  3级仓库
     */
    @TableField("DEPT_TYPE")
    private String deptTYPE;

    /**
     * 经度
     */
    @TableField("LONGITUDE")
    private String longitude;
    /**
     * 维度
     */
    @TableField("DIMENSION")
    private String dimension;
    /**
     * 仓库类型  参考字典项  warehouse_type
     */
    @TableField("WAREHOUSE_TYPE")
    private String warehouseType;

    private String[] jwd;

}
