package com.unis.vis.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.unis.vis.mapper.SysDeptMapper;
import com.unis.vis.model.SysDept;
import com.unis.vis.service.SysDeptService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;


@Service
public class SysDeptServiceImpl extends ServiceImpl<SysDeptMapper, SysDept> implements SysDeptService {
    @Resource
    private  SysDeptMapper  sysDeptMapper;

    @Override
    public List<SysDept> getMapPoint() {
        List<SysDept> list =sysDeptMapper.getMapPoint();
       // String [] a;
        for (SysDept s:list) {
            String attribute1 = s.getLongitude();
            String attribute2 =  s.getDimension();
            String[] array ={attribute1,attribute2};
            s.setJwd(array);
        }
        return list;
    }


}
