package com.unis.vis.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.unis.vis.controller.vo.MaterialReserveSituationVO;
import com.unis.vis.model.InboundMaterialInfo;
import com.unis.vis.model.OutAndInboundRecord;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;


@Repository
public interface InboundMaterialInfoMapper extends BaseMapper<InboundMaterialInfo> {

     List<InboundMaterialInfo> getEmergencySuppliesCategory();

     List<InboundMaterialInfo> getMaterialSituation();


    List<MaterialReserveSituationVO> selectWarehouseForMaterialType(@Param("warehouse") String warehouse);

     List<InboundMaterialInfo> getInventoryReceiptStatus();

     List<InboundMaterialInfo> getWzsyqkpm();

     /**
      * 出入库记录
      * @return
      */
     List<OutAndInboundRecord> getEnterExitRecords(@Param("type") Integer type,@Param("name")String name);


}
