package com.unis.vis.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.vis.controller.vo.MaterialReserveSituationVO;
import com.unis.vis.model.InboundMaterialInfo;
import com.unis.vis.model.OutAndInboundRecord;

import java.util.HashMap;
import java.util.List;
import java.util.Map;


public interface InboundMaterialInfoService extends IService<InboundMaterialInfo> {

    List<InboundMaterialInfo> getEmergencySuppliesCategory();

    List<InboundMaterialInfo> getMaterialSituation();

    List<InboundMaterialInfo> getInventoryReceiptStatus();

    HashMap<String, List<InboundMaterialInfo>> getWzsyqkpm();

    List<OutAndInboundRecord> getEnterExitRecords(Integer type,String name);
    Map<String,List<MaterialReserveSituationVO>> selectWarehouseForMaterialType(String warehouse);
}
