package com.unis.vis.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.unis.vis.mapper.OutboundMaterialInfoMapper;
import com.unis.vis.model.OutboundMaterialInfo;
import com.unis.vis.service.OutboundMaterialInfoService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;



@Service
public class OutboundMaterialInfoServiceImpl extends ServiceImpl<OutboundMaterialInfoMapper, OutboundMaterialInfo> implements OutboundMaterialInfoService {
    @Resource
    private OutboundMaterialInfoMapper outboundMaterialInfoMapper;

    @Override
    public List<OutboundMaterialInfo> getMaterialCallSituation(String type,Integer action) {
        /*调用：1 调出：2*/
        if(action==1){
            return outboundMaterialInfoMapper.getMaterialCallSituationDY(type);
        }
            return outboundMaterialInfoMapper.getMaterialCallSituationDC(type);


    }

    @Override
    public List<OutboundMaterialInfo> getLossRecord() {
        return outboundMaterialInfoMapper.getLossRecord();
    }
    /**
     * 物资出库
     * @return
     */
    @Override
    public List<OutboundMaterialInfo> getInventoryDispatchStatus() {
        return outboundMaterialInfoMapper.getInventoryDispatchStatus();
    }


}
